// pages/product/productSite/productSite.js

let app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    companyId: app.state.companyId,
    list: []
  },

  /**
   * 站点选择事件
   */
  siteChange: function (e) {
    let index = e.currentTarget.dataset.index
    this.setData({
      companyId: this.data.list[index].companyId
    })
    app.state.companyId = this.data.list[index].companyId
    app.state.siteName = this.data.list[index].siteName

    wx.setStorage({
      key: "site",
      data: {
        companyId: this.data.list[index].companyId,
        siteName: this.data.list[index].siteName
      }
    })

    wx.navigateBack({
      delta: 1
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    app.$api('b2b_get_site', {
      companyId: app.state.companyId
    }).then(res => {
      this.setData({
        companyId: app.state.companyId,
        list: res
      })
    }).catch(err => {})
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})